Liferay.Loader.define("layout-content-page-editor-web@2.0.170/page_editor/app/selectors/selectAvailableSidebarPanels", ['module', 'exports', 'require', '../config/constants/viewportSizes', './selectAvailablePanels'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = selectAvailableSidebarPanels;

    var _viewportSizes = require("../config/constants/viewportSizes");

    var _selectAvailablePanels = require("./selectAvailablePanels");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */

    /**
     * @param {{ [panelId: string]: object }} sidebarPanels
     */
    function selectAvailableSidebarPanels(sidebarPanels) {
      /**
       * @param {{ permissions: import("../../types/ActionKeys").ActionKeysMap, selectedViewportSize: string }} state
       */
      return function (_ref) {
        var permissions = _ref.permissions,
            selectedViewportSize = _ref.selectedViewportSize;
        var availableSidebarPanels = {};

        if (permissions.LOCKED_SEGMENTS_EXPERIMENT || !permissions.UPDATE) {
          _selectAvailablePanels.CONTENT_CHANGE_PANELS.forEach(function (panelId) {
            availableSidebarPanels[panelId] = sidebarPanels[panelId];
          });

          return availableSidebarPanels;
        } else if (selectedViewportSize !== _viewportSizes.VIEWPORT_SIZES.desktop) {
          _selectAvailablePanels.RESPONSIVE_PANELS.forEach(function (panelId) {
            availableSidebarPanels[panelId] = sidebarPanels[panelId];
          });

          return availableSidebarPanels;
        }

        return sidebarPanels;
      };
    }
    //# sourceMappingURL=selectAvailableSidebarPanels.js.map
  }
});
//# sourceMappingURL=selectAvailableSidebarPanels.js.map