Liferay.Loader.define("layout-content-page-editor-web@2.0.170/page_editor/core/hooks/usePlugins", ['module', 'exports', 'require', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = usePlugins;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var useCallback = _react.default.useCallback,
        useRef = _react.default.useRef;
    /**
     * Maintains a registry of plugins and provides methods for adding to and
     * looking things up in the registry.
     */

    function usePlugins() {
      var plugins = useRef(new Map());
      var getInstance = useCallback(function (key) {
        return plugins.current.get(key) || Promise.resolve(null);
      }, []);
      var register = useCallback(function (key, promise, init) {
        if (!plugins.current.has(key)) {
          plugins.current.set(key, promise.then(function (Plugin) {
            return new Plugin(init);
          }).catch(function (error) {

            return null;
          }));
        }

        return plugins.current.get(key);
      }, []);
      return {
        getInstance: getInstance,
        register: register
      };
    }
    //# sourceMappingURL=usePlugins.js.map
  }
});
//# sourceMappingURL=usePlugins.js.map